## sabnzbdplus 2.3.4+dfsg

=== debian/changelog ===
sabnzbdplus (2.3.4+dfsg-1) unstable; urgency=medium

  [ JCF Ploemen (jcfp) ]
  * New upstream release:
    + accepts Cheetah versions newer than 2. (Closes: #900826)
  * Desktop: append %F field code to Exec key.
  * Manpage:
    + document option to add nzb files via cli.
    + remove obsolete options, add new --disable-file-log.
  * Rules: exclude example scripts from compression.
  * Patches: refresh 04, 09.
  * Copyright: bump upstream year to 2018.
  * Compat: bump level to 11 (from 10).
  * Bump Standards-Version to 4.1.4 (from 4.1.3; no further changes).
  * Lintian: override debian-rules-contains-unnecessary-get-orig-source-
    target.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 05 Jun 2018 20:42:24 +0000

=== debian/control ===
Source: sabnzbdplus
Homepage: https://sabnzbd.org
Section: contrib/net
Priority: optional
Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 11~),
 devscripts,
 dh-python,
 dpkg-dev (>=1.17),
 imagemagick,
 librsvg2-bin,
 python,
 subversion
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/python-team/applications/sabnzbdplus.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/sabnzbdplus

Package: sabnzbdplus
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 libjs-bootstrap,
 libjs-excanvas,
 libjs-jquery (>= 1.11),
 libjs-jquery-tablesorter,
 libjs-jquery-ui,
 libjs-mochikit (>= 1.4),
 libjs-moment,
 lsb-base (>= 3.0-6),
 python-cheetah (>= 2.0.1),
 python-configobj,
 python-sabyenc,
 python-six
Recommends:
 libavahi-compat-libdnssd1,
 p7zip-full,
 par2,
 python-cryptography,
 python-dbus,
 unrar (>= 1:3.8.0) | rar (>= 1:3.8.0)
Suggests:
 python-gtk2,
 python-notify
Breaks:
 sabnzbdplus-theme-classic (<< 1.0.2),
 sabnzbdplus-theme-glitter (<< 1.0.2),
 sabnzbdplus-theme-iphone (<< 1.0.2),
 sabnzbdplus-theme-mobile (<< 1.0.2),
 sabnzbdplus-theme-plush (<< 1.0.2),
 sabnzbdplus-theme-smpl (<< 1.0.2)
Replaces:
 sabnzbdplus-theme-classic (<< 1.0.2),
 sabnzbdplus-theme-glitter (<< 1.0.2),
 sabnzbdplus-theme-iphone (<< 1.0.2),
 sabnzbdplus-theme-mobile (<< 1.0.2),
 sabnzbdplus-theme-plush (<< 1.0.2),
 sabnzbdplus-theme-smpl (<< 1.0.2)
Description: web-based binary newsreader with nzb support
 SABnzbd+ is a web-based binary newsgrabber written in Python, with support for
 the popular nzb file format. It greatly simplifies the process of downloading
 from Usenet, thanks to a friendly web-based, fully customizable user interface
 and advanced built-in post-processing options including the ability to
 automatically verify, repair, extract and clean up downloaded posts.
 .
 Multiple servers are supported, as well as secure (ssl) connections, ipv6,
 scheduling, pausing and resuming downloads, queue manipulation, rss feeds,
 automatic sorting, a download history, email notifications, and custom
 post-processing scripts. An extensive API allows third party applications to
 interact with the program.
 .
 This package contains the program itself and all interface templates.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Install directory
DESTDIR=$(CURDIR)/debian/sabnzbdplus

%:
	dh $@ --with python2

override_dh_auto_build:
	# Generate translations
	python tools/make_mo.py
	find locale -type d -empty -delete
	# Create png icon for XDG menu
	convert -resize 48x48 interfaces/Config/templates/staticcfg/images/logo-arrow.svg sabnzbdplus.png

override_dh_clean:
	rm -rf build/ locale/ sabnzbdplus.png
	find . -wholename "./email/*.tmpl" ! -name "*-en.tmpl" -delete
	find . -name "*.pyc" -delete
	dh_clean

override_dh_install:
	dh_install \
		--exclude=MochiKit/__package__.js \
		--exclude=wizard/README.TXT \
		--exclude=utils/configobj.py \
		--exclude=utils/pystone.py \
		--exclude=utils/systrayiconthread.py \
		--exclude=utils/subprocess_fix.py \
		--exclude=sabnzbd/sabtray.py \
		--exclude=images-split.tar.gz \
		--exclude=cherrypy/LICENSE.txt \
		--exclude=cherrypy/cherryd \
		--exclude=/src/
	mv $(DESTDIR)/usr/bin/SABnzbd.py $(DESTDIR)/usr/bin/sabnzbdplus

override_dh_installchangelogs:
	dh_installchangelogs README.txt

override_dh_compress:
	dh_compress -X examples/


DEB_DIR := $(abspath $(dir $(MAKEFILE_LIST)))
DEB_SRC := $(shell dpkg-parsechangelog -l$(DEB_DIR)/changelog --show-field Source)
DEB_TAG := +dfsg
# clean upstream version
UPS_VER := $(shell dpkg-parsechangelog -l$(DEB_DIR)/changelog --show-field Version | sed 's/.*://; s/-[^-]*$$//; s/\+.*//')
# basedir inside upstream tarball
UPS_DIR := SABnzbd-$(UPS_VER)

get-orig-source:
	# download, decompress and rename upstream sources
	uscan --noconf --force --verbose --rename --check-dirname-level=0 --destdir=$(CURDIR) --download-version $(UPS_VER)
	gunzip $(DEB_SRC)_$(UPS_VER).orig.tar.gz
	mv $(DEB_SRC)_$(UPS_VER).orig.tar $(DEB_SRC)_$(UPS_VER)$(DEB_TAG).orig.tar
	# download the missing source files from cvs
	wget --no-clobber https://salsa.debian.org/python-team/applications/sabnzbdplus/-/archive/missing-sources/sabnzbdplus-missing-sources.tar
	tar -xf sabnzbdplus-missing-sources.tar
	mkdir -p $(CURDIR)/$(UPS_DIR)
	mv $(CURDIR)/sabnzbdplus-missing-sources/missing-sources/* $(CURDIR)/$(UPS_DIR)
	# merge missing sources into upstream tarball and create new orig.tar.gz
	tar --append --owner=root --group=root --mode=a+rX --file $(DEB_SRC)_$(UPS_VER)$(DEB_TAG).orig.tar $(UPS_DIR)
	rm -f $(DEB_SRC)_$(UPS_VER)$(DEB_TAG).orig.tar.gz
	gzip --best $(DEB_SRC)_$(UPS_VER)$(DEB_TAG).orig.tar
	# cleanup leftovers
	rm -rf $(CURDIR)/sabnzbdplus-missing-sources/ sabnzbdplus-missing-sources.tar $(UPS_DIR)

## sabnzbdplus 2.3.6+dfsg

=== debian/changelog ===
sabnzbdplus (2.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Rules: increase desktop icon size to 64x64 pixels.
  * Desktop: add MimeType key.
  * Mime: add d/sabnzbdplus.sharedmimeinfo.
  * Patches: add 90_rss_feed_without_id_would_crash, backported from
    upstream commit 832b4fd7.
  * Bump Standards-Version to 4.3.0 (from 4.1.4; no further changes).
  * Control: remove build-dep on subversion, no longer needed by
    get-orig-source target; and add wget.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sat, 29 Dec 2018 09:44:43 +0000

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	python tools/make_mo.py
 	find locale -type d -empty -delete
 	# Create png icon for XDG menu
-	convert -resize 48x48 interfaces/Config/templates/staticcfg/images/logo-arrow.svg sabnzbdplus.png
+	convert -resize 64x64 interfaces/Config/templates/staticcfg/images/logo-arrow.svg sabnzbdplus.png
 
 override_dh_clean:
 	rm -rf build/ locale/ sabnzbdplus.png

## sabnzbdplus 3.0.0~0git20200408+dfsg

=== requirements.txt ===
six
sabyenc3
cheetah3
cryptography
feedparser
configobj
cherrypy
portend
chardet
notify2

# Optional support for *nix tray icon.
# Note that pygobject depends on pycairo, which requires pkg-config and cairo headers.
# See https://pycairo.readthedocs.io/en/latest/getting_started.html
#pygobject>=3.10.2; sys_platform != 'win32'

# Only on Windows
pywin32>=227; sys_platform == 'win32'

# Only on macOS
pyobjc; sys_platform == 'darwin'

=== tests/requirements.txt ===
# Testing requirements
selenium
requests
pytest

# Only works on Python 3.6+
black; python_version >= "3.6"

=== debian/changelog ===
sabnzbdplus (3.0.0~0git20200408+dfsg-1) unstable; urgency=medium

  [ JCF Ploemen (jcfp) ]
  * New upstream release:
    + adds support for Python3. (Closes: #938425, #956110)
    + based on a snapshot of the 'develop' branch of upstream git
      (commit c0d0964). Files and directories that won't be part of
      regular upstream tarballs have been removed, and missing
      javascript sources merged as usual along the lines of the
      get-orig-source target.
  * Tests:
    + add superficial basic-runs autopkgtest.
    + add upstream testsuite as autopkgtest.
  * Control:
    + switch python dependencies to their python3 equivalents.
    + remove build-deps on imagemagick and librsvg2-bin, previously
      used to convert a logo image for use as an icon.
    + remove deps on libjs-jquery-tablesorter (rss feed issues), and
      libjs-excanvas, libjs-mochikit (no longer needed after removal
      of the smpl theme).
    + add deps on python3-chardet, python3-cherrypy3,
      python3-feedparser, python3-portend, and python3-sabyenc.
    + bump recommends on python3-cryptography, par2, and unrar to
      hard dependencies and remove obsolete versioning of unrar.
    + add recommends on python3-notify2, python3-dbus, unzip.
    + add Pre-Depends: ${misc:Pre-Depends}, needed to ensure a recent
      init-system-helpers version is available to assorted automagic
      maintainer scripts.
  * Copyright:
    + bump years for packaging and upstream.
    + remove obsolete entries related to the smpl interface theme.
    + correct the filename of the moment.js entry.
    + convert to machine-readable format.
    + use 'Expat' rather than 'MIT' as license shortname.
  * Compat: bump level to 12 (from 11).
  * Patches:
    + remove 06_use_packaged_modules.diff (no longer needed), and
      90_rss_feed_without_id_would_crash (fixed upstream).
    + refresh all others.
    + extend patch 09 to also cover the certificate validation check.
    + add 10_pytest_mods to make the upstream testsuite find packaged
      files, for use with continuous integration.
  * d/README.Debian: remove cherrypy rationale, obsolete.
  * Rules:
    + switch to python3.
    + cleanup the list of excluded files in the dh_install override.
    + remove dh_compress override now that examples are excluded by
      default.
    + remove image conversion, use original file as program icon.
  * Init: explicitly set PYTHONIOENCODING to prevent encoding issues.
  * Install, Links: remove obsolete entries.
  * Lintian:
    + remove override of embedded-feedparser-library, upstream got
      rid of the embedded copy.
    + the tag formerly known as insane-line-length-in-source-file was
      rediagnosed as just 'very long'; adjusting override accordingly.
  * Bump Standards-Version to 4.5.0 (from 4.3.0; no further changes).
  * Manpage: add --no-login option; update program version, years.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Thu, 09 Apr 2020 14:28:35 +0000

=== debian/control ===
--- 
+++ 
@@ -5,45 +5,45 @@
 Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  devscripts,
  dh-python,
  dpkg-dev (>=1.17),
- imagemagick,
- librsvg2-bin,
- python,
- subversion
-Standards-Version: 4.1.4
+ python3,
+ wget
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/python-team/applications/sabnzbdplus.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/sabnzbdplus
 
 Package: sabnzbdplus
 Architecture: all
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
- ${python:Depends},
+ ${python3:Depends},
  ${misc:Depends},
  libjs-bootstrap,
- libjs-excanvas,
  libjs-jquery (>= 1.11),
- libjs-jquery-tablesorter,
  libjs-jquery-ui,
- libjs-mochikit (>= 1.4),
  libjs-moment,
  lsb-base (>= 3.0-6),
- python-cheetah (>= 2.0.1),
- python-configobj,
- python-sabyenc,
- python-six
+ par2,
+ python3-chardet,
+ python3-cheetah,
+ python3-cherrypy3,
+ python3-configobj,
+ python3-cryptography,
+ python3-feedparser,
+ python3-portend,
+ python3-sabyenc,
+ python3-six,
+ unrar | rar
 Recommends:
  libavahi-compat-libdnssd1,
  p7zip-full,
- par2,
- python-cryptography,
- python-dbus,
- unrar (>= 1:3.8.0) | rar (>= 1:3.8.0)
-Suggests:
- python-gtk2,
- python-notify
+ python3-dbus,
+ python3-notify2,
+ unzip
 Breaks:
  sabnzbdplus-theme-classic (<< 1.0.2),
  sabnzbdplus-theme-glitter (<< 1.0.2),

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -8,41 +7,29 @@
 DESTDIR=$(CURDIR)/debian/sabnzbdplus
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_build:
 	# Generate translations
-	python tools/make_mo.py
+	python3 tools/make_mo.py
 	find locale -type d -empty -delete
-	# Create png icon for XDG menu
-	convert -resize 64x64 interfaces/Config/templates/staticcfg/images/logo-arrow.svg sabnzbdplus.png
 
 override_dh_clean:
-	rm -rf build/ locale/ sabnzbdplus.png
+	rm -rf build/ locale/
 	find . -wholename "./email/*.tmpl" ! -name "*-en.tmpl" -delete
 	find . -name "*.pyc" -delete
 	dh_clean
 
 override_dh_install:
 	dh_install \
-		--exclude=MochiKit/__package__.js \
 		--exclude=wizard/README.TXT \
-		--exclude=utils/configobj.py \
-		--exclude=utils/pystone.py \
-		--exclude=utils/systrayiconthread.py \
-		--exclude=utils/subprocess_fix.py \
 		--exclude=sabnzbd/sabtray.py \
 		--exclude=images-split.tar.gz \
-		--exclude=cherrypy/LICENSE.txt \
-		--exclude=cherrypy/cherryd \
 		--exclude=/src/
 	mv $(DESTDIR)/usr/bin/SABnzbd.py $(DESTDIR)/usr/bin/sabnzbdplus
 
 override_dh_installchangelogs:
-	dh_installchangelogs README.txt
-
-override_dh_compress:
-	dh_compress -X examples/
+	dh_installchangelogs README.mkd
 
 
 DEB_DIR := $(abspath $(dir $(MAKEFILE_LIST)))

=== debian/tests/control ===
Tests: basic-runs
Depends: @
Restrictions: superficial, allow-stderr

Tests: upstream-tests
Depends: @, chromium-driver | chromium-chromedriver, python3, python3-pytest, python3-requests, python3-selenium
# needs TCP sockets, etc.
Restrictions: isolation-container

## sabnzbdplus 3.1.1%2Bdfsg

=== debian/changelog ===
sabnzbdplus (3.1.1+dfsg-2) unstable; urgency=medium

  [ JCF Ploemen (jcfp) ]
  * Tests: adjust syntax of pytest call. (Closes: #979300)

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 06 Jan 2021 16:33:04 +0000

sabnzbdplus (3.1.1+dfsg-1) unstable; urgency=medium

  [ JCF Ploemen (jcfp) ]
  * New upstream release.
  * Control:
    + remove breaks/replaces for the ancient sabnzbdplus-theme-*
      packages, no longer needed.
    + bump compat level to 13 (from 12).
    + bump Standards-Version to 4.5.1 (from 4.5.0; no further changes).
  * Copyright:
    + update to match refreshed js libs.
    + point translations URL to transifex.
  * Patches:
    + refresh all.
    + add 90_normalize_shebang_for_utils_example_script.
  * Links: add woff, woff2 for bootstrap; update jquery, moment target
    filenames.
  * Tests:
    + upstream-tests: add restrictions allow-stderr, skip-not-
      installable (as chromium-driver isn't available on every
      architecture) and needs-root (to create a symlink in /usr/bin).
    + upstream-tests: deselect test_happyeyeballs and internetspeed,
      both require network access; re-enable test_functional_config;
      deselect test_daemonizing (Closes: #975521).
    + upstream-tests: require python3-sabyenc >= 4.0.2 (reintroduces
      yEnc-encode functionality, needed by the testsuite since
      3.0.0~beta2); add deps on python3-distutils, python3-flaky,
      python3-pyfakefs, and python3-pytest-httpbin.
    + basic-runs: improve to get the actual exit status for the
      console run.
  * Add debian/README.source to document missing sources handling.
  * Lintian:
    + refresh override for source-is-missing: the tag no longer
      prints line lengths for every hit.
    + add override for new tag package-contains-documentation-
      outside-usr-share-doc: another false positive.
  * Watch: bump version to 4 (from 3; no further changes).

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 24 Nov 2020 15:40:39 +0000

## sabnzbdplus 3.1.1+dfsg

=== requirements.txt ===
sabyenc3>=4.0.0
cheetah3>=3.0.0
cryptography
feedparser<6.0.0; python_version == '3.5'
feedparser>=6.0.0; python_version > '3.5'
configobj
cheroot<8.4.3
cherrypy
portend
chardet
notify2

# Windows system integration
pywin32>=227; sys_platform == 'win32'

# macOS system calls
pyobjc; sys_platform == 'darwin'

# Optional support for *nix tray icon.
# Note that pygobject depends on pycairo, which requires pkg-config and cairo headers.
# See https://pycairo.readthedocs.io/en/latest/getting_started.html
# Uncomment line below or manually install after installing requirements.
# pygobject>=3.10.2; sys_platform != 'win32' and sys_platform != 'darwin'

# Optional support for system power management on *nix.
# Requires libdbus-1-dev to be installed.
# Uncomment line below or manually install after installing requirements.
# dbus-python; sys_platform != 'win32' and sys_platform != 'darwin'

=== tests/requirements.txt ===
# Testing requirements
selenium
requests
pytest
pyfakefs
pytest_httpbin
flaky

=== debian/changelog ===
sabnzbdplus (3.1.1+dfsg-2+deb11u1) bullseye; urgency=medium

  * Backport upstream security fix to prevent a directory escape in
    the renamer function via malicious par2 files. (CVE-2021-29488)

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 26 Aug 2021 13:19:47 +0000

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Section: contrib/net
 Priority: optional
 Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  devscripts,
  dh-python,
  dpkg-dev (>=1.17),
  python3,
  wget
-Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/python-team/applications/sabnzbdplus.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/sabnzbdplus
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/python-team/packages/sabnzbdplus.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/sabnzbdplus
 
 Package: sabnzbdplus
 Architecture: all
@@ -23,7 +23,7 @@
  ${python3:Depends},
  ${misc:Depends},
  libjs-bootstrap,
- libjs-jquery (>= 1.11),
+ libjs-jquery,
  libjs-jquery-ui,
  libjs-moment,
  lsb-base (>= 3.0-6),
@@ -44,20 +44,6 @@
  python3-dbus,
  python3-notify2,
  unzip
-Breaks:
- sabnzbdplus-theme-classic (<< 1.0.2),
- sabnzbdplus-theme-glitter (<< 1.0.2),
- sabnzbdplus-theme-iphone (<< 1.0.2),
- sabnzbdplus-theme-mobile (<< 1.0.2),
- sabnzbdplus-theme-plush (<< 1.0.2),
- sabnzbdplus-theme-smpl (<< 1.0.2)
-Replaces:
- sabnzbdplus-theme-classic (<< 1.0.2),
- sabnzbdplus-theme-glitter (<< 1.0.2),
- sabnzbdplus-theme-iphone (<< 1.0.2),
- sabnzbdplus-theme-mobile (<< 1.0.2),
- sabnzbdplus-theme-plush (<< 1.0.2),
- sabnzbdplus-theme-smpl (<< 1.0.2)
 Description: web-based binary newsreader with nzb support
  SABnzbd+ is a web-based binary newsgrabber written in Python, with support for
  the popular nzb file format. It greatly simplifies the process of downloading

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 
 get-orig-source:
 	# download, decompress and rename upstream sources
-	uscan --noconf --force --verbose --rename --check-dirname-level=0 --destdir=$(CURDIR) --download-version $(UPS_VER)
+	uscan --noconf --force --verbose --rename --check-dirname-level=0 --destdir=$(CURDIR) --download-version $(UPS_VER) sabnzbdplus
 	gunzip $(DEB_SRC)_$(UPS_VER).orig.tar.gz
 	mv $(DEB_SRC)_$(UPS_VER).orig.tar $(DEB_SRC)_$(UPS_VER)$(DEB_TAG).orig.tar
 	# download the missing source files from cvs

=== debian/tests/control ===
Tests: basic-runs
Depends: @
Restrictions: superficial, allow-stderr

Tests: upstream-tests
Depends: @,
 chromium-driver | chromium-chromedriver,
 python3,
 python3-distutils,
 python3-flaky,
 python3-pyfakefs,
 python3-pytest,
 python3-pytest-httpbin,
 python3-requests,
 python3-sabyenc (>= 4.0.2),
 python3-selenium
# needs TCP sockets, etc.
Restrictions: isolation-container, needs-root, skip-not-installable, allow-stderr

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//" \
 https://github.com/sabnzbd/sabnzbd/releases .*/SABnzbd-([\d][\.\d]*)-src\.tar\.gz

## sabnzbdplus 3.2.1%2bdfsg

=== tests/requirements.txt ===
# Testing requirements
selenium
requests
pytest
pyfakefs
pytest-httpbin
pytest-httpserver
flaky
xmltodict
tavern
tavalidate
lxml>=4.5.0 # needed by tavalidate

## sabnzbdplus 3.2.1+dfsg

=== debian/changelog ===
sabnzbdplus (3.2.1+dfsg-1) unstable; urgency=medium

  [ Jeroen Ploemen ]
  * New upstream release.
  * Set maintainer to my debian email address.
  * Install: pick up the svg icons, needed by the desktop tray.
  * Patches:
    + remove 90, merged upstream.
    + refresh all others to remove fuzz.
    + update 10 to account for upstream changes.
  * Tests: add python3-xmltodict dependency for upstream-tests; disable
    tests rss_basic_flow, queue_repair; re-enable test_daemonizing.
  * Copyright: bump years to 2021.
  * Control: add recommend on gir1.2-xapp-1.0, for tray icon support.
  * Rules: switch dh_clean override to execute_before.
  * Links: make the real file and the symlink switch places as a
    workaround the appstream generator's inability to deal with
    symlinked icon files.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 31 Mar 2021 16:32:05 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Homepage: https://sabnzbd.org
 Section: contrib/net
 Priority: optional
-Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
+Maintainer: Jeroen Ploemen <jcfp@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -39,6 +39,7 @@
  python3-six,
  unrar | rar
 Recommends:
+ gir1.2-xapp-1.0 (>= 1.6),
  libavahi-compat-libdnssd1,
  p7zip-full,
  python3-dbus,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 # Install directory
-DESTDIR=$(CURDIR)/debian/sabnzbdplus
+DESTDIR="$(CURDIR)"/debian/sabnzbdplus
 
 %:
 	dh $@ --with python3
@@ -14,11 +14,9 @@
 	python3 tools/make_mo.py
 	find locale -type d -empty -delete
 
-override_dh_clean:
+execute_before_dh_clean:
 	rm -rf build/ locale/
 	find . -wholename "./email/*.tmpl" ! -name "*-en.tmpl" -delete
-	find . -name "*.pyc" -delete
-	dh_clean
 
 override_dh_install:
 	dh_install \
@@ -26,7 +24,12 @@
 		--exclude=sabnzbd/sabtray.py \
 		--exclude=images-split.tar.gz \
 		--exclude=/src/
-	mv $(DESTDIR)/usr/bin/SABnzbd.py $(DESTDIR)/usr/bin/sabnzbdplus
+
+execute_after_dh_install:
+	mv -v "$(DESTDIR)"/usr/bin/SABnzbd.py "$(DESTDIR)"/usr/bin/sabnzbdplus
+	# Workaround the appstream generator's inability to deal with symlinked icon files
+	mkdir -p "$(DESTDIR)"/usr/share/pixmaps
+	mv -v "$(DESTDIR)"/usr/share/sabnzbdplus/interfaces/Config/templates/staticcfg/images/logo-arrow.svg "$(DESTDIR)"/usr/share/pixmaps/sabnzbdplus.svg
 
 override_dh_installchangelogs:
 	dh_installchangelogs README.mkd

=== debian/tests/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  python3-pytest-httpbin,
  python3-requests,
  python3-sabyenc (>= 4.0.2),
- python3-selenium
+ python3-selenium,
+ python3-xmltodict
 # needs TCP sockets, etc.
 Restrictions: isolation-container, needs-root, skip-not-installable, allow-stderr

## sabnzbdplus 3.5.1%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,19 @@
 # Install directory
 DESTDIR="$(CURDIR)"/debian/sabnzbdplus
 
+DEB_DIR := $(abspath $(dir $(MAKEFILE_LIST)))
+DEB_SRC := $(shell dpkg-parsechangelog -l$(DEB_DIR)/changelog --show-field Source)
+DEB_TAG := +dfsg
+# clean upstream version
+UPS_VER := $(shell dpkg-parsechangelog -l$(DEB_DIR)/changelog --show-field Version | sed 's/.*://; s/-[^-]*$$//; s/\+.*//')
+# basedir inside upstream tarball
+UPS_DIR := SABnzbd-$(UPS_VER)
+
+# appstream metadata file
+APPSTREAM := $(DEB_DIR)/org.sabnzbd.sabnzbd.appdata.xml
+ISO_DATE := $(shell dpkg-parsechangelog -l$(DEB_DIR)/changelog --show-field Date | date --utc --iso-8601 --file=-)
+
+
 %:
 	dh $@ --with python3
 
@@ -13,9 +26,12 @@
 	# Generate translations
 	python3 tools/make_mo.py
 	find locale -type d -empty -delete
+	# Generate metainfo
+	sed -e 's/@DATE@/$(ISO_DATE)/; s/@VERSION@/$(UPS_VER)/' $(APPSTREAM).in > $(APPSTREAM)
 
 execute_before_dh_clean:
 	rm -rf build/ locale/
+	rm -f $(APPSTREAM)
 	find . -wholename "./email/*.tmpl" ! -name "*-en.tmpl" -delete
 
 override_dh_install:
@@ -35,21 +51,13 @@
 	dh_installchangelogs README.mkd
 
 
-DEB_DIR := $(abspath $(dir $(MAKEFILE_LIST)))
-DEB_SRC := $(shell dpkg-parsechangelog -l$(DEB_DIR)/changelog --show-field Source)
-DEB_TAG := +dfsg
-# clean upstream version
-UPS_VER := $(shell dpkg-parsechangelog -l$(DEB_DIR)/changelog --show-field Version | sed 's/.*://; s/-[^-]*$$//; s/\+.*//')
-# basedir inside upstream tarball
-UPS_DIR := SABnzbd-$(UPS_VER)
-
 get-orig-source:
 	# download, decompress and rename upstream sources
 	uscan --noconf --force --verbose --rename --check-dirname-level=0 --destdir=$(CURDIR) --download-version $(UPS_VER) sabnzbdplus
 	gunzip $(DEB_SRC)_$(UPS_VER).orig.tar.gz
 	mv $(DEB_SRC)_$(UPS_VER).orig.tar $(DEB_SRC)_$(UPS_VER)$(DEB_TAG).orig.tar
 	# download the missing source files from cvs
-	wget --no-clobber https://salsa.debian.org/python-team/applications/sabnzbdplus/-/archive/missing-sources/sabnzbdplus-missing-sources.tar
+	wget --no-clobber https://salsa.debian.org/python-team/packages/sabnzbdplus/-/archive/missing-sources/sabnzbdplus-missing-sources.tar
 	tar -xf sabnzbdplus-missing-sources.tar
 	mkdir -p $(CURDIR)/$(UPS_DIR)
 	mv $(CURDIR)/sabnzbdplus-missing-sources/missing-sources/* $(CURDIR)/$(UPS_DIR)

## sabnzbdplus 3.5.1+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -1,20 +1,42 @@
-sabyenc3>=4.0.0
-cheetah3>=3.0.0
-cryptography
-feedparser<6.0.0; python_version == '3.5'
-feedparser>=6.0.0; python_version > '3.5'
-configobj
-cheroot<8.4.3
-cherrypy
-portend
-chardet
-notify2
+# Main requirements
+# Note that not all sub-dependencies are listed, but only ones we know could cause trouble
+sabyenc3==4.0.2
+cheetah3==3.2.6
+cryptography==36.0.1
+cffi==1.15
+pycparser==2.21
+feedparser==6.0.8
+configobj==5.0.6
+cheroot==8.6.0
+six==1.16.0
+cherrypy==18.6.1
+jaraco.functools==3.5.0
+jaraco.collections==3.5.1
+jaraco.text==3.7.0
+jaraco.classes==3.2.1
+jaraco.context==4.1.1
+more-itertools==8.12.0
+zc.lockfile==2.0
+python-dateutil==2.8.2
+tempora==5.0.1
+pytz==2021.3
+sgmllib3k==1.0.0
+portend==3.1.0
+chardet==4.0.0
+PySocks==1.7.1
+puremagic==1.11
+guessit==3.4.3
+babelfish==0.6.0
+rebulk==3.1.0
 
 # Windows system integration
-pywin32>=227; sys_platform == 'win32'
+pywin32==303; sys_platform == 'win32'
 
 # macOS system calls
-pyobjc; sys_platform == 'darwin'
+pyobjc==8.1; sys_platform == 'darwin'
+
+# Linux notifications
+notify2==0.3.1; sys_platform != 'win32' and sys_platform != 'darwin'
 
 # Optional support for *nix tray icon.
 # Note that pygobject depends on pycairo, which requires pkg-config and cairo headers.

=== tests/requirements.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 pytest-httpserver
 flaky
 xmltodict
-tavern
+tavern<1.16.2; python_version == '3.6'
+tavern; python_version > '3.6'
 tavalidate
 lxml>=4.5.0 # needed by tavalidate

=== debian/changelog ===
sabnzbdplus (3.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Patches: remove 90, merged upstream.
  * Tests: add dependency on p7zip-full; make pytest output verbose.

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 21 Feb 2022 11:46:37 +0000

sabnzbdplus (3.5.0+dfsg-2) unstable; urgency=medium

  * Patches: add 90, backport of an upstream fix for an RSS feed config
    issue.

 -- Jeroen Ploemen <jcfp@debian.org>  Fri, 04 Feb 2022 06:05:15 +0000

sabnzbdplus (3.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Lintian: compensate for changes in output style.
  * Control: add dependency on python3-socks.
  * Patches: refresh to remove fuzz, adjust for upstream code moves.
  * Copyright: bump years for upstream and packaging.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 03 Feb 2022 14:33:10 +0000

sabnzbdplus (3.4.2+dfsg-2) unstable; urgency=medium

  * Lintian: override 'unicode-trojan' hits, false positives.
  * Tests: mark upstream-tests as flaky, chromedriver is too unreliable.

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 21 Nov 2021 10:46:58 +0000

sabnzbdplus (3.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add Appstream metainfo file.
  * Control:
    + add depends on python3-guessit, python3-puremagic.
    + remove depend on python3-six (no longer needed).
  * Patches: refresh all.
  * Install, Copyright: remove references to the Plush interface theme
    (removed upstream).
  * Lintian: remove unused override.
  * Upstream: add metadata file.

 -- Jeroen Ploemen <jcfp@debian.org>  Fri, 15 Oct 2021 10:07:30 +0000

sabnzbdplus (3.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Lintian: adjust override of source-is-missing to compensate for
    modified lintian output formatting.
  * Patches: remove fuzz.
  * Manpage: add --inet_exposure option.
  * Bump Standards-Version to 4.6.0 (from 4.5.1; no further changes).
  * Control: set Rules-Requires-Root: no.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 25 Aug 2021 07:28:38 +0000

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,10 @@
  dpkg-dev (>=1.17),
  python3,
  wget
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/sabnzbdplus.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sabnzbdplus
+Rules-Requires-Root: no
 
 Package: sabnzbdplus
 Architecture: all
@@ -34,9 +35,11 @@
  python3-configobj,
  python3-cryptography,
  python3-feedparser,
+ python3-guessit,
  python3-portend,
+ python3-puremagic,
  python3-sabyenc,
- python3-six,
+ python3-socks,
  unrar | rar
 Recommends:
  gir1.2-xapp-1.0 (>= 1.6),

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Tests: upstream-tests
 Depends: @,
  chromium-driver | chromium-chromedriver,
+ p7zip-full,
  python3,
  python3-distutils,
  python3-flaky,
@@ -16,4 +17,4 @@
  python3-selenium,
  python3-xmltodict
 # needs TCP sockets, etc.
-Restrictions: isolation-container, needs-root, skip-not-installable, allow-stderr
+Restrictions: isolation-container, needs-root, skip-not-installable, allow-stderr, flaky

## sabnzbdplus 3.6.1+dfsg

=== tests/requirements.txt ===
# Testing requirements
selenium<4.3.0 # needs code changes for 4.3.0
requests
pkginfo
pytest
pyfakefs
werkzeug<2.1.0 # breaks httpbin in newer versions
pytest-httpbin
pytest-httpserver
flaky
xmltodict
tavern
tavalidate
lxml>=4.5.0 # needed by tavalidate
black

=== debian/changelog ===
sabnzbdplus (3.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Patches: refresh 09 (fuzz removal only).
  * Lintian: re-activate override for missing-sources on maintainer-
    added sources.

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 22 Aug 2022 14:29:36 +0000

sabnzbdplus (3.6.0+dfsg-2) unstable; urgency=medium

  * Tests: ignore test_consistency.py in upstream-tests.
  * Control: bump Standards-Version to 4.6.1 (from 4.6.0; no further
    changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 15 Jun 2022 23:34:08 +0000

sabnzbdplus (3.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Control: set minimum version requirement for the python-sabyenc dep.
  * Patches: refresh all, extend 02 to upstream appdata.xml.
  * Examples: remove Deobfuscate.py; obsolete, no longer shipped.
  * Add bash-completion support via d/sabnzbdplus.bash-completion:
    + Control: build-depend on bash-completion (for dh_bash-completion).
    + Rules: add bash-completion addon to dh sequencer.
  * Install, rules: switch to upstream appdata file.
  * Copyright: add entry for linux/org.sabnzbd.sabnzbd.appdata.xml.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 15 Jun 2022 17:38:41 +0000

sabnzbdplus (3.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 09 May 2022 15:37:49 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Maintainer: Jeroen Ploemen <jcfp@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
+ bash-completion,
  debhelper-compat (= 13),
  devscripts,
  dh-python,
  dpkg-dev (>=1.17),
  python3,
  wget
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/sabnzbdplus.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sabnzbdplus
 Rules-Requires-Root: no
@@ -38,7 +39,7 @@
  python3-guessit,
  python3-portend,
  python3-puremagic,
- python3-sabyenc,
+ python3-sabyenc (>= 5.4.0),
  python3-socks,
  unrar | rar
 Recommends:

## sabnzbdplus 3.7.1%2Bdfsg

=== debian/changelog ===
sabnzbdplus (3.7.1+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * CI: set distribution to bullseye-backports; apply the skip-not-
    installable restriction to the basic-runs as well to provide
    cover until python3-{puremagic,sabyenc} are also available in
    backports.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 02 Feb 2023 14:26:33 +0000

sabnzbdplus (3.7.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Patches: refresh 09.
  * Control: remove build-dep on dpkg-dev (not needed, pkg is build-
    essential).
  * Control: bump std-ver to 4.6.2 (from 4.6.1; no further changes).
  * Copyright: correct path of src/jquery.hotkeys.js entry.
  * Lintian: override inconsistent-appstream-metadata-license.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 20 Dec 2022 12:15:04 +0000

sabnzbdplus (3.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Watch: switch to api.github.com now that github screwed up the
    releases endpoint.
  * Control: add dependencies on python3-rebulk, python3-ujson.
  * Control: do *not* add a dependency on libjs-jquery-hotkeys, the
    packaged version has a different ABI than expected by the upstream
    code; see Debian bug #740893 as well as thread 128417 on the
    upstream forums.
  * Control: remove ancient version restrictions from (build-)deps.
  * Patches: refresh 02, 08, 09 and 10 (fuzz removal only).
  * Copyright: add entry for jquery hotkeys.
  * Tests: disable problematic TestPar2Repair::test_basic, no longer
    mark upstream testsuite as flaky.
  * Tests: redo test selection options to be more specific.
  * Tests: run the upstream testsuite for all supported Python version.

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 20 Nov 2022 16:08:49 +0000

## sabnzbdplus 3.7.1+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -1,39 +1,46 @@
 # Main requirements
 # Note that not all sub-dependencies are listed, but only ones we know could cause trouble
-sabyenc3==4.0.2
-cheetah3==3.2.6
-cryptography==36.0.1
-cffi==1.15
+sabyenc3==5.4.4
+cheetah3==3.2.6.post1
+cffi==1.15.1
 pycparser==2.21
-feedparser==6.0.8
+feedparser==6.0.10
 configobj==5.0.6
-cheroot==8.6.0
+cheroot==9.0.0
 six==1.16.0
-cherrypy==18.6.1
-jaraco.functools==3.5.0
-jaraco.collections==3.5.1
-jaraco.text==3.7.0
-jaraco.classes==3.2.1
-jaraco.context==4.1.1
-more-itertools==8.12.0
+cherrypy==18.8.0
+jaraco.functools==3.5.2
+jaraco.collections==3.8.0
+jaraco.text==3.8.1 # Newer version introduces irrelevant extra dependencies
+jaraco.classes==3.2.3
+jaraco.context==4.2.0
+more-itertools==9.0.0
 zc.lockfile==2.0
 python-dateutil==2.8.2
-tempora==5.0.1
-pytz==2021.3
+tempora==5.1.0
+pytz==2022.6
 sgmllib3k==1.0.0
 portend==3.1.0
-chardet==4.0.0
+chardet==5.1.0
 PySocks==1.7.1
-puremagic==1.11
-guessit==3.4.3
+puremagic==1.14
+guessit==3.5.0
 babelfish==0.6.0
 rebulk==3.1.0
 
+# Recent cryptography versions require Rust. If you run into issues compiling this
+# SABnzbd will also work with older pre-Rust versions such as cryptography==3.3.2
+cryptography==38.0.4
+
+# We recommend using "orjson" as it is 2x as fast as "ujson". However, it requires
+# Rust so SABnzbd works just as well with "ujson" or the Python built in "json" module
+ujson==5.6.0
+
 # Windows system integration
-pywin32==303; sys_platform == 'win32'
+pywin32==305; sys_platform == 'win32'
 
 # macOS system calls
-pyobjc==8.1; sys_platform == 'darwin'
+pyobjc==9.0; sys_platform == 'darwin'
 
 # Linux notifications
 notify2==0.3.1; sys_platform != 'win32' and sys_platform != 'darwin'

=== tests/requirements.txt ===
# Testing requirements
selenium
requests
pkginfo
pytest
pyfakefs
werkzeug<2.1.0 # Breaks httpbin in newer versions
pytest-httpbin
pytest-httpserver
flaky
xmltodict
tavern
tavalidate
importlib_metadata<5.0.0 # Required by tavern but 5.0.0 is not compatible with Python 3.7
lxml
black

=== debian/changelog ===
sabnzbdplus (3.7.1+dfsg-2) unstable; urgency=medium

  * Tests: disable test_validate_host, intermittent failures on the CI
    possibly related to network or dns configuration.
  * Control: remove dep on lsb-base.
  * Lintian: remove override for inconsistent-appstream-metadata-license
    (mit != expat; fixed in lintian, see #1029055).

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 20 Feb 2023 10:52:22 +0000

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,9 @@
  debhelper-compat (= 13),
  devscripts,
  dh-python,
- dpkg-dev (>=1.17),
  python3,
  wget
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/sabnzbdplus.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sabnzbdplus
 Rules-Requires-Root: no
@@ -28,7 +27,6 @@
  libjs-jquery,
  libjs-jquery-ui,
  libjs-moment,
- lsb-base (>= 3.0-6),
  par2,
  python3-chardet,
  python3-cheetah,
@@ -39,8 +37,10 @@
  python3-guessit,
  python3-portend,
  python3-puremagic,
+ python3-rebulk,
  python3-sabyenc (>= 5.4.0),
  python3-socks,
+ python3-ujson,
  unrar | rar
 Recommends:
  gir1.2-xapp-1.0 (>= 1.6),

=== debian/rules ===
--- 
+++ 
@@ -14,24 +14,17 @@
 # basedir inside upstream tarball
 UPS_DIR := SABnzbd-$(UPS_VER)
 
-# appstream metadata file
-APPSTREAM := $(DEB_DIR)/org.sabnzbd.sabnzbd.appdata.xml
-ISO_DATE := $(shell dpkg-parsechangelog -l$(DEB_DIR)/changelog --show-field Date | date --utc --iso-8601 --file=-)
-
 
 %:
-	dh $@ --with python3
+	dh $@ --with python3,bash-completion
 
 override_dh_auto_build:
 	# Generate translations
 	python3 tools/make_mo.py
 	find locale -type d -empty -delete
-	# Generate metainfo
-	sed -e 's/@DATE@/$(ISO_DATE)/; s/@VERSION@/$(UPS_VER)/' $(APPSTREAM).in > $(APPSTREAM)
 
 execute_before_dh_clean:
 	rm -rf build/ locale/
-	rm -f $(APPSTREAM)
 	find . -wholename "./email/*.tmpl" ! -name "*-en.tmpl" -delete
 
 override_dh_install:

=== debian/tests/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Depends: @,
  chromium-driver | chromium-chromedriver,
  p7zip-full,
- python3,
+ python3-all,
  python3-distutils,
  python3-flaky,
  python3-pyfakefs,
@@ -17,4 +17,4 @@
  python3-selenium,
  python3-xmltodict
 # needs TCP sockets, etc.
-Restrictions: isolation-container, needs-root, skip-not-installable, allow-stderr, flaky
+Restrictions: isolation-container, needs-root, skip-not-installable, allow-stderr

## sabnzbdplus 4.0.2+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -1,46 +1,46 @@
 # Main requirements
 # Note that not all sub-dependencies are listed, but only ones we know could cause trouble
-sabyenc3==5.4.4
+sabctools==7.0.2
 cheetah3==3.2.6.post1
 cffi==1.15.1
 pycparser==2.21
 feedparser==6.0.10
-configobj==5.0.6
-cheroot==9.0.0
+configobj==5.0.8
+cheroot==10.0.0
 six==1.16.0
 cherrypy==18.8.0
-jaraco.functools==3.5.2
-jaraco.collections==3.8.0
+jaraco.functools==3.6.0
+jaraco.collections==4.1.0
 jaraco.text==3.8.1 # Newer version introduces irrelevant extra dependencies
 jaraco.classes==3.2.3
-jaraco.context==4.2.0
-more-itertools==9.0.0
-zc.lockfile==2.0
+jaraco.context==4.3.0
+more-itertools==9.1.0
+zc.lockfile==3.0.post1
 python-dateutil==2.8.2
-tempora==5.1.0
-pytz==2022.6
+tempora==5.2.2
+pytz==2023.3
 sgmllib3k==1.0.0
 portend==3.1.0
 chardet==5.1.0
 PySocks==1.7.1
-puremagic==1.14
-guessit==3.5.0
+puremagic==1.15
+guessit==3.7.1
 babelfish==0.6.0
-rebulk==3.1.0
+rebulk==3.2.0
 
 # Recent cryptography versions require Rust. If you run into issues compiling this
 # SABnzbd will also work with older pre-Rust versions such as cryptography==3.3.2
-cryptography==38.0.4
+cryptography==40.0.2
 
 # We recommend using "orjson" as it is 2x as fast as "ujson". However, it requires
 # Rust so SABnzbd works just as well with "ujson" or the Python built in "json" module
-ujson==5.6.0
+ujson==5.7.0
 
 # Windows system integration
-pywin32==305; sys_platform == 'win32'
+pywin32==306; sys_platform == 'win32'
 
 # macOS system calls
-pyobjc==9.0; sys_platform == 'darwin'
+pyobjc==9.1.1; sys_platform == 'darwin'
 
 # Linux notifications
 notify2==0.3.1; sys_platform != 'win32' and sys_platform != 'darwin'

=== tests/requirements.txt ===
# Testing requirements
selenium
requests
pytest
pyfakefs
werkzeug<2.1.0 # Breaks httpbin in newer versions
pytest-httpbin
pytest-httpserver
flaky
xmltodict
tavern>=2.0.0
tavalidate
importlib_metadata
lxml
black
pytest-mock
pytest-asyncio

=== debian/changelog ===
sabnzbdplus (4.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1038949)
  * Patches: refresh all.
  * Control: replace dependency on python3-sabyenc with python3-
    sabctools.
  * Control: replace build-dep on bash-completion with dh-sequence-bash-
    completion.
  * Copyright: bump years.
  * Tests: deselect test_nonexistent_dir_without_permission.
  * Tests: add deps on python3-pytest-{asyncio,mock}.

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 25 Jun 2023 08:31:50 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Maintainer: Jeroen Ploemen <jcfp@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
- bash-completion,
  debhelper-compat (= 13),
  devscripts,
  dh-python,
+ dh-sequence-bash-completion,
  python3,
  wget
 Standards-Version: 4.6.2
@@ -38,7 +38,7 @@
  python3-portend,
  python3-puremagic,
  python3-rebulk,
- python3-sabyenc (>= 5.4.0),
+ python3-sabctools (>= 7.0.0),
  python3-socks,
  python3-ujson,
  unrar | rar

=== debian/tests/control ===
--- 
+++ 
@@ -12,6 +12,8 @@
  python3-pyfakefs,
  python3-pytest,
  python3-pytest-httpbin,
+ python3-pytest-mock,
+ python3-pytest-asyncio,
  python3-requests,
  python3-sabyenc (>= 4.0.2),
  python3-selenium,

## sabnzbdplus 4.1.0+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Main requirements
 # Note that not all sub-dependencies are listed, but only ones we know could cause trouble
-sabctools==7.0.2
+sabctools==7.1.2
 cheetah3==3.2.6.post1
 cffi==1.15.1
 pycparser==2.21
@@ -9,19 +9,19 @@
 cheroot==10.0.0
 six==1.16.0
 cherrypy==18.8.0
-jaraco.functools==3.6.0
-jaraco.collections==4.1.0
+jaraco.functools==3.9.0
+jaraco.collections==4.3.0
 jaraco.text==3.8.1 # Newer version introduces irrelevant extra dependencies
-jaraco.classes==3.2.3
+jaraco.classes==3.3.0
 jaraco.context==4.3.0
-more-itertools==9.1.0
+more-itertools==10.1.0
 zc.lockfile==3.0.post1
 python-dateutil==2.8.2
-tempora==5.2.2
-pytz==2023.3
+tempora==5.5.0
+pytz==2023.3.post1
 sgmllib3k==1.0.0
-portend==3.1.0
-chardet==5.1.0
+portend==3.2.0
+chardet==5.2.0
 PySocks==1.7.1
 puremagic==1.15
 guessit==3.7.1
@@ -30,17 +30,17 @@
 
 # Recent cryptography versions require Rust. If you run into issues compiling this
 # SABnzbd will also work with older pre-Rust versions such as cryptography==3.3.2
-cryptography==40.0.2
+cryptography==41.0.4
 
 # We recommend using "orjson" as it is 2x as fast as "ujson". However, it requires
 # Rust so SABnzbd works just as well with "ujson" or the Python built in "json" module
-ujson==5.7.0
+ujson==5.8.0
 
 # Windows system integration
 pywin32==306; sys_platform == 'win32'
 
 # macOS system calls
-pyobjc==9.1.1; sys_platform == 'darwin'
+pyobjc==9.2; sys_platform == 'darwin'
 
 # Linux notifications
 notify2==0.3.1; sys_platform != 'win32' and sys_platform != 'darwin'

=== debian/changelog ===
sabnzbdplus (4.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release 4.1.0.
  * Patches: refresh 02, 08, 09, 10; expand 09 to remove a text-ad
    iframe.
  * Control: bump required minimum sabctools version to 7.1.0, and add
    upper limit set to 8.0.0~.
  * Control: add 7zip as an alternative for p7zip-full.
  * Control: remove recommend on unzip, no longer used upstream.
  * Tests: update dependencies for upstream-tests.
  * Lintian: override missing-build-dependency-for-dh-addon
    bash_completion, false positive.
  * Copyright: remove references to upstream's team@ email address, no
    longer in use.
  * Tests: remove chromium-browser symlink from upstream-tests.
  * Patches: add workaround for breakage in selenium >=4.11.2 to patch
    10, see #1050378.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 05 Oct 2023 05:53:56 +0000

=== debian/control ===
--- 
+++ 
@@ -38,17 +38,17 @@
  python3-portend,
  python3-puremagic,
  python3-rebulk,
- python3-sabctools (>= 7.0.0),
+ python3-sabctools (>= 7.1.0),
+ python3-sabctools (<< 8.0.0~),
  python3-socks,
  python3-ujson,
  unrar | rar
 Recommends:
  gir1.2-xapp-1.0 (>= 1.6),
  libavahi-compat-libdnssd1,
- p7zip-full,
+ 7zip | p7zip-full,
  python3-dbus,
  python3-notify2,
- unzip
 Description: web-based binary newsreader with nzb support
  SABnzbd+ is a web-based binary newsgrabber written in Python, with support for
  the popular nzb file format. It greatly simplifies the process of downloading

=== debian/tests/control ===
Tests: basic-runs
Depends: @
Restrictions: superficial, allow-stderr

Tests: upstream-tests
Depends: @,
 7zip | p7zip-full,
 chromium-driver | chromium-chromedriver,
 python3-all,
 python3-flaky,
 python3-pyfakefs,
 python3-pytest,
 python3-pytest-httpbin,
 python3-pytest-mock,
 python3-pytest-asyncio,
 python3-requests,
 python3-selenium,
 python3-xmltodict
# needs TCP sockets, etc.
Restrictions: isolation-container, skip-not-installable, allow-stderr
